# keystone.identity.backends.ldap.models module

Base model for keystone internal services.

Unless marked otherwise, all fields are strings.

class keystone.identity.backends.ldap.models.Group

  Bases: `Model`

  Group object.

  Required keys:

    id name domain_id

  Optional keys:

  > description

  optional_keys = ('description',)
  required_keys = ('id', 'name', 'domain_id')

class keystone.identity.backends.ldap.models.Model

  Bases: `dict`

  Base model class.

  property known_keys

class keystone.identity.backends.ldap.models.User

  Bases: `Model`

  User object.

  Required keys:

    id name domain_id

  Optional keys:

    password description email enabled (bool, default True) default_project_id

  optional_keys = ('password', 'description', 'email', 'enabled', 'default_project_id')
  required_keys = ('id', 'name', 'domain_id')

this page last updated: 2026-04-01 20:09:17

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug